Subject: Re: bug#36250: Allow Emacs to be resized arbitrarily

From: martin rudalics <[email-masked]>
Date: Mon, 17 Jun 2019 11:46:41 +0200

> I just tested it, and it works. However I've always wondered, is
 > there a place in .emacs file, which is guaranteed to be executed
 > before a window is created? I may be mistaken, but it looks to me
 > like Emacs tries to create window almost immediately on start, and
 > that the (setq frame-resize-pixelwise t) line at the beginning of
 > the config being executed before window is created is pure luck.

I had no complaints about it ever since that variable was introduced.
So it's hopefully a bit more than pure luck.  BTW Emacs 27 now has an
"Early Init File" (see section 49.4.6 of the Emacs manual) where you
can put things that should be done very early.

martin